haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Conversion

Synopsis

- alternateFormat :: Literal -> [AlternateFormat]
- hexRegex :: Text
- hexFloatRegex :: Text
- binaryRegex :: Text
- octalRegex :: Text
- decimalRegex :: Text
- numDecimalRegex :: Text
- matchLineRegex :: Text -> Text
- toOctal :: Integral a => a -> String
- toDecimal :: Integral a => a -> String
- toBinary :: Integral a => a -> String
- toHex :: Integral a => a -> String
- toFloatDecimal :: RealFloat a => a -> String
- toFloatExpDecimal :: RealFloat a => a -> String
- toHexFloat :: RealFloat a => a -> String
- type AlternateFormat = (Text, ExtensionNeeded)
- data ExtensionNeeded
  - = NoExtension
  - | NeedsExtension Extension

# Documentation

alternateFormat :: Literal -> [AlternateFormat] #

Generate alternate formats for a single Literal based on FormatType's given.

hexRegex :: Text #

Regex to match a Haskell Hex Literal

hexFloatRegex :: Text #

Regex to match a Haskell Hex Float Literal

binaryRegex :: Text #

Regex to match a Haskell Binary Literal

octalRegex :: Text #

Regex to match a Haskell Octal Literal

decimalRegex :: Text #

Regex to match a Haskell Decimal Literal (no decimal points)

numDecimalRegex :: Text #

Regex to match a Haskell Literal with an explicit exponent

matchLineRegex :: Text -> Text #

Wraps a Regex with a beginning ("^") and end ("$") token

toOctal :: Integral a => a -> String #

toDecimal :: Integral a => a -> String #

toBinary :: Integral a => a -> String #

toHex :: Integral a => a -> String #

toFloatDecimal :: RealFloat a => a -> String #

toFloatExpDecimal :: RealFloat a => a -> String #

toHexFloat :: RealFloat a => a -> String #

type AlternateFormat = (Text, ExtensionNeeded) #

data ExtensionNeeded #

Constructors

NoExtension |
NeedsExtension Extension |